For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet all feature types
      • PUTUpdate feature type lifetime

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIFeature flag types

Get all feature types

||View as Markdown|
GET
https://app.unleash-instance.example.com/api/admin/feature-types
GET
/api/admin/feature-types
$curl https://app.unleash-instance.example.com/api/admin/feature-types \
> -H "Authorization: <apiKey>"
1{
2 "version": 1,
3 "types": [
4 {
5 "id": "release",
6 "name": "Release",
7 "description": "Release feature flags are used to release new features.",
8 "lifetimeDays": 40
9 },
10 {
11 "id": "experiment",
12 "name": "Experiment",
13 "description": "Experiment feature flags are used to test and verify multiple different versions of a feature.",
14 "lifetimeDays": 40
15 },
16 {
17 "id": "operational",
18 "name": "Operational",
19 "description": "Operational feature flags are used to control aspects of a rollout.",
20 "lifetimeDays": 7
21 },
22 {
23 "id": "kill-switch",
24 "name": "Kill switch",
25 "description": "Kill switch feature flags are used to quickly turn on or off critical functionality in your system.",
26 "lifetimeDays": null
27 },
28 {
29 "id": "permission",
30 "name": "Permission",
31 "description": "Permission feature flags are used to control permissions in your system.",
32 "lifetimeDays": null
33 }
34 ]
35}
Retrieves all feature types that exist in this Unleash instance, along with their descriptions and lifetimes.
Was this page helpful?
Previous

Update feature type lifetime

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Response

featureTypesSchema
versionenum

The schema version used to describe the feature flag types listed in the types property.

Allowed values:
typeslist of objects
The list of feature flag types.

Errors

401
Unauthorized Error